## CamelMedium CamelMedium |

## Functions

void | camel_medium_add_header ()
void | camel_medium_set_header ()
void | camel_medium_remove_header ()
const gchar * | camel_medium_get_header ()
CamelNameValueArray * | camel_medium_dup_headers ()
const CamelNameValueArray * | camel_medium_get_headers ()
CamelDataWrapper * | camel_medium_get_content ()
void | camel_medium_set_content ()

## Properties

CamelDataWrapper * | content | Read / Write

## Object Hierarchy

        GObject
        ╰── CamelDataWrapper
            ╰── CamelMedium
                ╰── CamelMimePart

## Description

## Functions

### camel_medium_add_header ()

    void
    camel_medium_add_header (CamelMedium *medium,
                             const gchar *name,
                             const gchar *value);

Adds a header to a CamelMedium.

#### Parameters

medium | a CamelMedium object |
name | name of the header |
value | value of the header |

### camel_medium_set_header ()

    void
    camel_medium_set_header (CamelMedium *medium,
                             const gchar *name,
                             const gchar *value);

Sets the value of a header. Any other occurances of the header will be removed. Setting a `NULL` header can be used to remove the header also.

#### Parameters

medium | a CamelMedium object |
name | name of the header |
value | value of the header. | [nullable]

### camel_medium_remove_header ()

    void
    camel_medium_remove_header (CamelMedium *medium,
                                const gchar *name);

Removes the named header from the medium. All occurances of the header are removed.

#### Parameters

medium | a CamelMedium |
name | the name of the header |

### camel_medium_get_header ()

    const gchar *
    camel_medium_get_header (CamelMedium *medium,
                             const gchar *name);

Gets the value of the named header in the medium, or `NULL` if it is unset. The caller should not modify or free the data.

If the header occurs more than once, only retrieve the first instance of the header. For multi-occuring headers, use `camel_medium_dup_headers()` or `camel_medium_get_headers()`.

#### Parameters

medium | a CamelMedium |
name | the name of the header |

#### Returns

the value of the named header, or `NULL`.

[nullable]

### camel_medium_dup_headers ()

    CamelNameValueArray *
    camel_medium_dup_headers (CamelMedium *medium);

Gets an array of all header name/value pairs. The values will be decoded to UTF-8 for any headers that are recognized by Camel. See also `camel_medium_get_headers()`.

#### Parameters

medium | a CamelMedium object |

#### Returns

the array of headers, which must be freed with `camel_name_value_array_free()`.

[transfer full]

Since: 3.24

### camel_medium_get_headers ()

    const CamelNameValueArray *
    camel_medium_get_headers (CamelMedium *medium);

Gets an array of all header name/value pairs. The values will be decoded to UTF-8 for any headers that are recognized by Camel. See also `camel_medium_dup_headers()`.

#### Parameters

medium | a CamelMedium object |

#### Returns

the array of headers, owned by `medium` .

[transfer none]

Since: 3.24

### camel_medium_get_content ()

    CamelDataWrapper *
    camel_medium_get_content (CamelMedium *medium);

Gets a data wrapper that represents the content of the medium, without its headers.

#### Parameters

medium | a CamelMedium object |

#### Returns

a CamelDataWrapper containing `medium` 's content. Can return `NULL`.

[transfer none][nullable]

### camel_medium_set_content ()

    void
    camel_medium_set_content (CamelMedium *medium,
                              CamelDataWrapper *content);

Sets the content of `medium` to be `content` .

#### Parameters

medium | a CamelMedium object |
content | a CamelDataWrapper object. | [nullable]

## Property Details

### The `“content”` property

      “content”                  CamelDataWrapper *

Owner: CamelMedium

Flags: Read / Write